Create internal event type
curl --request POST \
--url https://api.getmembrane.com/app-event-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"key": "<string>",
"meta": {},
"uuid": "<string>",
"description": "<string>",
"schema": {},
"example": {},
"tenantIdFormula": {},
"userIdFormula": {}
}
'import requests
url = "https://api.getmembrane.com/app-event-types"
payload = {
"name": "<string>",
"key": "<string>",
"meta": {},
"uuid": "<string>",
"description": "<string>",
"schema": {},
"example": {},
"tenantIdFormula": {},
"userIdFormula": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
key: '<string>',
meta: {},
uuid: '<string>',
description: '<string>',
schema: {},
example: {},
tenantIdFormula: {},
userIdFormula: {}
})
};
fetch('https://api.getmembrane.com/app-event-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmembrane.com/app-event-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'key' => '<string>',
'meta' => [
],
'uuid' => '<string>',
'description' => '<string>',
'schema' => [
],
'example' => [
],
'tenantIdFormula' => [
],
'userIdFormula' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmembrane.com/app-event-types"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"key\": \"<string>\",\n \"meta\": {},\n \"uuid\": \"<string>\",\n \"description\": \"<string>\",\n \"schema\": {},\n \"example\": {},\n \"tenantIdFormula\": {},\n \"userIdFormula\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getmembrane.com/app-event-types")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"key\": \"<string>\",\n \"meta\": {},\n \"uuid\": \"<string>\",\n \"description\": \"<string>\",\n \"schema\": {},\n \"example\": {},\n \"tenantIdFormula\": {},\n \"userIdFormula\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmembrane.com/app-event-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"key\": \"<string>\",\n \"meta\": {},\n \"uuid\": \"<string>\",\n \"description\": \"<string>\",\n \"schema\": {},\n \"example\": {},\n \"tenantIdFormula\": {},\n \"userIdFormula\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"revision": "<string>",
"webhookKey": "<string>",
"globalWebhookUri": "<string>",
"uuid": "<string>",
"key": "<string>",
"description": "<string>",
"meta": {},
"state": "BUILDING",
"errors": [
{
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>",
"isDeactivated": true,
"isReadOnly": true,
"subscribeRequest": {
"uri": {},
"method": "<string>",
"headers": {},
"query": {},
"body": {}
},
"example": {},
"schema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"tenantIdFormula": {},
"userIdFormula": {}
}Internal Events
Create internal event type
POST
/
app-event-types
Create internal event type
curl --request POST \
--url https://api.getmembrane.com/app-event-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"key": "<string>",
"meta": {},
"uuid": "<string>",
"description": "<string>",
"schema": {},
"example": {},
"tenantIdFormula": {},
"userIdFormula": {}
}
'import requests
url = "https://api.getmembrane.com/app-event-types"
payload = {
"name": "<string>",
"key": "<string>",
"meta": {},
"uuid": "<string>",
"description": "<string>",
"schema": {},
"example": {},
"tenantIdFormula": {},
"userIdFormula": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
key: '<string>',
meta: {},
uuid: '<string>',
description: '<string>',
schema: {},
example: {},
tenantIdFormula: {},
userIdFormula: {}
})
};
fetch('https://api.getmembrane.com/app-event-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmembrane.com/app-event-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'key' => '<string>',
'meta' => [
],
'uuid' => '<string>',
'description' => '<string>',
'schema' => [
],
'example' => [
],
'tenantIdFormula' => [
],
'userIdFormula' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getmembrane.com/app-event-types"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"key\": \"<string>\",\n \"meta\": {},\n \"uuid\": \"<string>\",\n \"description\": \"<string>\",\n \"schema\": {},\n \"example\": {},\n \"tenantIdFormula\": {},\n \"userIdFormula\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getmembrane.com/app-event-types")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"key\": \"<string>\",\n \"meta\": {},\n \"uuid\": \"<string>\",\n \"description\": \"<string>\",\n \"schema\": {},\n \"example\": {},\n \"tenantIdFormula\": {},\n \"userIdFormula\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmembrane.com/app-event-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"key\": \"<string>\",\n \"meta\": {},\n \"uuid\": \"<string>\",\n \"description\": \"<string>\",\n \"schema\": {},\n \"example\": {},\n \"tenantIdFormula\": {},\n \"userIdFormula\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"revision": "<string>",
"webhookKey": "<string>",
"globalWebhookUri": "<string>",
"uuid": "<string>",
"key": "<string>",
"description": "<string>",
"meta": {},
"state": "BUILDING",
"errors": [
{
"message": "<string>",
"type": "bad_request",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>",
"isDeactivated": true,
"isReadOnly": true,
"subscribeRequest": {
"uri": {},
"method": "<string>",
"headers": {},
"query": {},
"body": {}
},
"example": {},
"schema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"tenantIdFormula": {},
"userIdFormula": {}
}Authorizations
Body
application/json
Response
200 - application/json
Was this page helpful?